%define	name	rdesktop
%define	version	1.8.3
%define	release	%mkrel 2

Summary:	RDP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Remote access
URL:		http://www.rdesktop.org/
Source0:	http://prdownloads.sourceforge.net/rdesktop/%{name}-%{version}.tar.xz
#----------------------------------
BuildRequires: %{_lib}ao-devel
BuildRequires: %{_lib}gssglue-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pcsclite-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
#----------------------------------
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes: 	%{name} < %version
Conflicts:	rdesktop-legacy

%description
rdesktop is an open source client for Windows NT Terminal
Server and Windows 2000 Terminal Services, capable of
natively speaking Remote Desktop Protocol (RDP) in order
to present the user's NT desktop. Unlike Citrix ICA, no
server extensions are required.
 
rdesktop currently runs on most UNIX based platforms with
the X Window System, and other ports should be fairly
straightforward. rdesktop is used through rfbdrake.

This version is not compatible with Virtualbox.


%prep

%setup -q

# lib64 fix
perl -pi -e "s|\/lib\"|\/%{_lib}\"|g" configure*
perl -pi -e "s|\/lib\ |\/%{_lib}\ |g" configure*

%build

%configure2_5x \
    --with-openssl=%{_prefix} \
    --with-libao=%{_prefix} \
    --with-sound=libao \
    --with-ipv6 \
    --enable-smartcard

%make

chmod 644 COPYING
chmod 644 doc/*

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*.txt doc/AUTHORS doc/HACKING doc/TODO
%{_bindir}/rdesktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/keymaps
%{_mandir}/man1/*

%changelog
* Sat Mar 05 2016 bb <bb> 1.8.3-2pclos2016
- rebuild openssl

* Wed Nov 04 2014 bb <bb> 1.8.3-1pclos2014
- update

* Fri Sep 26 2014 bb <bb> 1.8.2-1pclos2014
- update

* Sat Feb 22 2014 bb <bb> 1.8.1-2pclos2014
- add conflicts to rdekstop-legacy

